# SPEC file for AdPlay, primary target is the Fedora Extras
# RPM repository.

Name:		adplay
Version:	1.4
Release:	3%{?dist}
Summary:	An AdLib (OPL2) music player build on AdPlug
URL:		http://adplug.sourceforge.net/
Group:		Applications/Multimedia
Source:		http://download.sourceforge.net/adplug/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License:	GPL
BuildRequires:	adplug-devel
BuildRequires:	audiofile-devel
BuildRequires:	libstdc++-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	esound-devel

%description
AdPlay is a command-line player for AdLib (OPL2) music utilizing
the AdPlug library.

%prep
%setup -q

%build
# I intentionally disable OSS and SDL: Fedora installs ALSA by default
# and I don't want to pull in the entire SDL library for this. We
# also explicitly forbid the QNX QSA driver, it won't hurt.
export CXXFLAGS=-I%{_includedir}/libbinio
%configure --disable-static --disable-output-oss --disable-output-sdl \
	--disable-output-qsa
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/adplay
%{_mandir}/man1/*
%doc AUTHORS ChangeLog COPYING NEWS README TODO

%changelog
* Tue Jan 24 2006 Linus Walleij <triad@df.lth.se> 1.4-3
- Download address.

* Mon Jan 23 2006 Linus Walleij <triad@df.lth.se> 1.4-2
- Happy dist-tag.

* Sun Jan 15 2006 Linus Walleij <triad@df.lth.se> 1.4-1
- First try at an AdPlay RPM.
